Object Storage
List event rules
get
/object-storage/buckets/{bucket_uuid}/event-rulesSee which events of the bucket are sent where, and whether each rule is applied yet.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
bucket_uuid*string
Responses
Successful Response
application/json
array<ObjectStorageEventRuleOut>
uuid*string
name*string
bucket_uuid*string
destination?ObjectStorageEventRuleDestination | null
Properties (3)
uuid*string
name*string
type*string
events*array<string>
prefix*string
suffix*string
enabled*boolean
status*string
error_message?string | null
created_at?string | null